summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Roberto Neri2013-07-09 18:53:05 +0200
committer Erik Hanson2013-07-09 18:53:05 +0200
commitc08cc669ac7b248a1c9abc497b3c66738bf0a6e5 (patch)
treee63561418023053b7865c6ced9a4d9b3f4ad693b /libraries
parentf3ed542b17a55090a3aab5087fff03bf2b924e88 (diff)
downloadslackbuilds-c08cc669ac7b248a1c9abc497b3c66738bf0a6e5.tar.gz
libraries/tubo: Added (remote process execution library)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/tubo/README3
-rw-r--r--libraries/tubo/slack-desc19
-rw-r--r--libraries/tubo/tubo.SlackBuild94
-rw-r--r--libraries/tubo/tubo.info10
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/tubo/README b/libraries/tubo/README
new file mode 100644
index 0000000000..27cd85485e
--- /dev/null
+++ b/libraries/tubo/README
@@ -0,0 +1,3 @@
+The tubo library is small and simple function set to enable a process
+to run any other process in the background and communicate via the
+stdout, stderr and stdin file descriptors.
diff --git a/libraries/tubo/slack-desc b/libraries/tubo/slack-desc
new file mode 100644
index 0000000000..26c6afce4b
--- /dev/null
+++ b/libraries/tubo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tubo: tubo (remote process execution library)
+tubo:
+tubo: The tubo library is small and simple function set to enable a process
+tubo: to run any other process in the background and communicate via the
+tubo: stdout, stderr and stdin file descriptors.
+tubo:
+tubo: Homepage: http://xffm.foo-projects.org/libtubo.html
+tubo:
+tubo:
+tubo:
+tubo:
diff --git a/libraries/tubo/tubo.SlackBuild b/libraries/tubo/tubo.SlackBuild
new file mode 100644
index 0000000000..0e0895d060
--- /dev/null
+++ b/libraries/tubo/tubo.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for tubo
+
+# Copyright 2013 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tubo
+VERSION=${VERSION:-5.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tubo/tubo.info b/libraries/tubo/tubo.info
new file mode 100644
index 0000000000..6cdfbd184c
--- /dev/null
+++ b/libraries/tubo/tubo.info
@@ -0,0 +1,10 @@
+PRGNAM="tubo"
+VERSION="5.0.6"
+HOMEPAGE="http://xffm.foo-projects.org/libtubo.html"
+DOWNLOAD="http://downloads.sourceforge.net/xffm/tubo-5.0.6.tar.gz"
+MD5SUM="45eb963783558614d8893bb09cf3beda"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"